package com.example.livingai.domain.repository

import com.example.livingai.domain.model.SettingsData
import kotlinx.coroutines.flow.Flow

interface AppDataRepository {
    fun getSettings(): Flow<SettingsData>
    suspend fun saveSettings(settings: SettingsData)
    suspend fun saveAppEntry()
    fun readAppEntry(): Flow<Boolean>
}